Subject: Re: [PATCH 4/4] grep -O: allow optional argument specifying the pager (or editor)

From: Paolo Bonzini <[email-masked]>
Date: Sat, 12 Jun 2010 19:16:17 +0200

On 06/12/2010 06:39 PM, Jonathan Nieder wrote:
> From: Johannes Schindelin<[email-masked]>
>
> Suppose you want to edit all files that contain a specific search term.
> Of course, you can do something totally trivial such as
>
> 	git grep -z -e<term>  | xargs -0r vi +/<term>
>
> but maybe you are happy that the same will be achieved by
>
> 	git grep -Ovi<term>
>
> now.

Ah, I had missed that the argument was optional.  I think that optional 
arguments are slightly frowned upon for POSIX utilities, because they're 
a bit different.  In fact, I think the only one is -i in sed (and BSD 
sed instead makes it mandatory...).  Personally I have no problem with 
making -O in GNU grep optional too, I'll see what the other maintainers say.

Acked-by: Paolo Bonzini <[email-masked]>

Paolo